using System.Collections.Generic;
using GGJ.LightRenderer;
using UnityEngine;

namespace GGJ
{
    public class CircleManager : MonoBehaviour
    {
        public List<Sexy> circles;

        public void MoveLeft()
        {
            foreach (var circle in circles)
            {
                MoveCircle(circle);
            }
        }

        public void MoveCircle(Sexy circle)
        {
            LeanTween.moveX(circle.curveMesh, -10, 0.4f)
                .setOnComplete(() => { circle.curveMesh.SetActive(false); });
        }
    }
}